/*	
	User handler

	Pedro Martins <pmartins@di.fc.ul.pt>

--[TTCB 1.11]----------------------------------------------------

    (Trusted) Timely Computing Base
    (C) 1999-2003, Navigators Group 
    		   http://www.navigators.di.fc.ul.pt
    
-----------------------------------------------------------------	
*/

#ifndef MODULE
#define MODULE
#endif

#include <linux/module.h>
#include <linux/kernel.h>
#include "tcb/share_app_tcb.h"

void timelyExec(void)
{
  
  rt_printk("+------------------------------+\n");
  rt_printk("| Timely Execution Handler     |\n");
  rt_printk("+------------------------------+\n");
}

TCBtimeinterval  timelyExec_wcet(void)
{
  TCBtimeinterval res=0;
  return res;  
}



int init_module(void)
{
	inter_module_register("timelyExec",THIS_MODULE,&timelyExec);
	inter_module_register("timelyExec_wcet",THIS_MODULE,&timelyExec_wcet);

	return 0;			
}


void cleanup_module(void)
{
	inter_module_unregister("timelyExec");	
	inter_module_unregister("timelyExec_wcet");	
}
