#ifndef _RTdev
#define _RTdev

#include "RTnetdevice.h"
#include "RTskbuff.h"

extern int RTnetif_rx(struct RTsk_buff *skb);
extern int RTregister_netdevice(struct RTnet_device *dev);
extern int RTunregister_netdevice(struct RTnet_device *dev);
extern int RTdev_alloc_name(struct RTnet_device *dev, char *name);

extern void RTnet_dev_get_info(char* buff, struct RTnet_device** next_dev, struct RTnet_device* ndev);


extern int rtnet_dev_init(int n_buffs);
extern void rtnet_dev_close(void);

//built-in loopback device
extern int RTloopback_init(struct RTnet_device *dev);

/* temporary API for TCB*/

extern int RTsendMessage(char *buff, int size);
extern RTsk_buff* RTreadMessage(void);
extern void RTreleaseMessage(RTsk_buff* buff);

extern int RTgetMTU(void);
extern u64 RTgetMacAddr(void);

extern void RTstartReceive (void);
extern void RTstopReceive (void);

#endif








