
#include <linux/config.h>
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/sched.h>
#include <linux/string.h>
#include <linux/timer.h>
#include <linux/errno.h>
#include <linux/in.h>
#include <linux/ioport.h>
#include <linux/slab.h>
#include <linux/interrupt.h>
#include <linux/pci.h>
#include <linux/mii.h>
#include <linux/init.h>
#include <linux/netdevice.h>
#include <linux/etherdevice.h>
#include <linux/skbuff.h>
#include <linux/ethtool.h>
#include <linux/highmem.h>
#include <asm/irq.h>		
#include <asm/bitops.h>
#include <asm/io.h>
#include <asm/uaccess.h>

#include "rtip/RTdev.h"


MODULE_AUTHOR ("Pedro Martins <pmartins@di.fc.ul.pt>");
MODULE_DESCRIPTION ("RTIP, Real-Time IP for RTAI");

extern struct RTnet_device loopback;

void print_about(void){
	rt_printk("---------------------------------------------------------------\n");
	rt_printk("RTIP Real-Time IP for RTAI\n");
	rt_printk("(C)2002-2003, Navigators Group <http://www.navigators.di.fc.ul.pt>\n");
	rt_printk("---------------------------------------------------------------\n\n");
}

char infbuff[4000];

static int vortex_init (void)
{
	struct RTnet_device** RTdev_next;
	char first=1;

	print_about();	
	*RTdev_next=NULL;

	while ((*RTdev_next!=NULL)||(first)){
		RTnet_dev_get_info(&infbuff,RTdev_next,*RTdev_next);
		first=0;
		rt_printk("%s",infbuff);
	}

	return 0;
}


static void  vortex_cleanup (void)
{
}


module_init(vortex_init);
module_exit(vortex_cleanup);

