/*	
	User Handlers for benchmarking execution
 	
	Pedro Martins <pmartins@di.fc.ul.pt>

--[TTCB 1.11]----------------------------------------------------

    (Trusted) Timely Computing Base 
    (C) 1999-2003, Navigators Group 
    		   http://www.navigators.di.fc.ul.pt
    	
-----------------------------------------------------------------	
*/


#ifndef MODULE
#define MODULE
#endif

#include <linux/module.h>
#include <linux/kernel.h>
#include "tcb/share_app_tcb.h"

MODULE_LICENSE("GPL");

void timelyExecLFD(unsigned int desc)
{
}

void timelyExecDFD(unsigned int from, unsigned int seq, unsigned int port)
{
}

TCBtimeinterval  timelyExec_wcet(void)
{
  TCBtimeinterval res=0;
  return res;  
}



int init_module(void)
{
	inter_module_register("timelyExecLFD",THIS_MODULE,&timelyExecLFD);
	inter_module_register("timelyExecDFD",THIS_MODULE,&timelyExecDFD);
	inter_module_register("timelyExec_wcet",THIS_MODULE,&timelyExec_wcet);

	return 0;			
}


void cleanup_module(void)
{	
	inter_module_unregister("timelyExecLFD");	
	inter_module_unregister("timelyExecDFD");	
	inter_module_unregister("timelyExec_wcet");				
}
